    import ProjectService from 'pvbid-sdk/src/domain/services/ProjectService.js'

public class | source

# ProjectService

## Constructor Summary

Public Constructor
public | constructor(context: PVBidContext) Creates an instance of ProjectService. |

## Member Summary

Public Members
public | context: * |
public | repositories: * |

## Method Summary

Public Methods
public | async createBid(project: Project, title: string): Promise<Project> Creates bid and attaches to project. |
public | async save(project: Project): Promise<null> Saves project and underlying bids. |

## Public Constructors

### public constructor(context: PVBidContext) source

Creates an instance of ProjectService.

#### Params:

Name | Type | Attribute | Description
context | PVBidContext |  |

## Public Members

### public context: * source

### public repositories: * source

## Public Methods

### public async createBid(project: Project, title: string): Promise<Project> source

Creates bid and attaches to project.

#### Params:

Name | Type | Attribute | Description
project | Project |  |

title

string

- optional
- default: New Bid

#### Return:

Promise<Project>

### public async save(project: Project): Promise<null> source

Saves project and underlying bids.

#### Params:

Name | Type | Attribute | Description
project | Project |  |

#### Return:

Promise<null>